# Class StDBDeviceLocationUpdateSearch

java.lang.Object
com.io7m.darco.api.DDatabaseQueryAbstract<StDatabaseTransactionType,StDBDeviceLocationUpdateSearchParameters,List<StDeviceLocation>>
com.io7m.stonesignal.server.database.StDatabaseQueryAbstract<StDBDeviceLocationUpdateSearchParameters,List<StDeviceLocation>>
com.io7m.stonesignal.server.database.StDBDeviceLocationUpdateSearch

All Implemented Interfaces:
  `com.io7m.darco.api.DDatabaseQueryType<StDBDeviceLocationUpdateSearchParameters,List<StDeviceLocation>>`, `StDBDeviceLocationUpdateSearchType`

public final class StDBDeviceLocationUpdateSearch extends StDatabaseQueryAbstract<StDBDeviceLocationUpdateSearchParameters,List<StDeviceLocation>> implements StDBDeviceLocationUpdateSearchType
The device-location-update-search query.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected String`
  `name()`
  `protected List<StDeviceLocation>`
  `onExecuteWithContext(StDatabaseTransactionType transaction, org.jooq.DSLContext context, StDBDeviceLocationUpdateSearchParameters search)`
  `static StDatabaseQueryProviderType<StDBDeviceLocationUpdateSearchParameters,List<StDeviceLocation>,StDBDeviceLocationUpdateSearchType>`
  `provider()`

  ### Methods inherited from class com.io7m.stonesignal.server.database.StDatabaseQueryAbstract

  `attributes, context, context, objectMapper, onExecute, record`

  ### Methods inherited from class com.io7m.darco.api.DDatabaseQueryAbstract

  `execute, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.io7m.darco.api.DDatabaseQueryType

  `execute`

- ## Method Details

  - ### provider

    public static StDatabaseQueryProviderType<StDBDeviceLocationUpdateSearchParameters,List<StDeviceLocation>,StDBDeviceLocationUpdateSearchType> provider()
    Returns:
      The query provider

  - ### onExecuteWithContext

    protected List<StDeviceLocation> onExecuteWithContext(StDatabaseTransactionType transaction, org.jooq.DSLContext context, StDBDeviceLocationUpdateSearchParameters search) throws Exception
    Specified by:
      `onExecuteWithContext` in class `StDatabaseQueryAbstract<StDBDeviceLocationUpdateSearchParameters,List<StDeviceLocation>>`
    Throws:
      `Exception`

  - ### name

    protected String name()
    Specified by:
      `name` in class `StDatabaseQueryAbstract<StDBDeviceLocationUpdateSearchParameters,List<StDeviceLocation>>`